【Ruby on Rails】バージョン変更がうまくいかない場合の対処方法!

目次

バージョン変更ができない。

Rubyのバージョンを確認すると、「ruby -v」と「rbenv versions」で表示されるバージョンが異なり、
「rbenv local 3.0.2」で指定して、ちゃんと選択されていても「bundle install」などが実行できずエラーになってしまいました。

ruby -v
rbenv versions

対処方法

「bash_profile」に「rbenv」を使用できるよう、以下のコマンドを打って記述をします。

$ echo 'eval "$(rbenv init -)"' >> ~/.bash_profile

そして、「bash_profile」は変更を加えた場合に再読み込みする必要があるので、以下のコマンドを実行。

$ source ~/.bash_profile
「Ruby」のバージョンを「rbenv」使って指定。(「global」だとPC上で使うバージョンを指定できる。)
$ rbenv global 3.0.2

最後にバージョン確認。

$ ruby -v

これで変更されていることが確認できれば完了です。

よかったらシェアしてね!
  • URLをコピーしました!
  • URLをコピーしました!

この記事を書いた人

目次